<?php
/**
 * Invision Power Services
 * IP.Board v3.0.1
 * 123flashchat Management
 *
 * @author 		$Author: TopCMM $
 * @copyright	(c) 2001 - 2010 TopCMM, Inc.
 * @license		http://www.invisionpower.com/community/board/license.html
 * @package		Invision Power Board
 * @subpackage	123flashchat
 * @link		http://www.123flashchat.com
 */

if ( ! defined( 'IN_ACP' ) )
{
	print "<h1>Incorrect access</h1>You cannot access this file directly. If you have recently upgraded, make sure you upgraded 'admin.php'.";
	exit();
}

class admin_123flashchat_123flashchat_adminpanel extends ipsCommand 
{
	/**
	 * Skin file
	 *
	 * @access	public
	 * @var		object
	 */
	public $html;
	
	/**
	 * Main execution method
	 *
	 * @access	public
	 * @param	object		ipsRegistry reference
	 * @return	void
	 */
	public function doExecute( ipsRegistry $registry )
	{
        ini_set("default_socket_timeout",3);
		/* Load Skin and Lang */
		$this->html               = $this->registry->output->loadTemplate( 'cp_skin_123flashchat' );
		$this->html->form_code    = 'module=123flashchat&amp;section=adminpanel';
		$this->html->form_code_js = 'module=123flashchat&section=adminpanel';
		
		$this->lang->loadLanguageFile( array( 'admin_123flashchat' ) );
		
		$fcsetting = $this->get_fc_config();
		
		/* Output */
		$admin_url = $fcsetting['fc_client_loc'] . 'admin_123flashchat.swf?init_host='.$fcsetting['fc_server_host'].'&init_port='.$fcsetting['fc_server_port'] . (($fcsetting['fc_extendserver'] == 1) ? "&init_group=" . $fcsetting['fc_group'] : "");
		if(!empty($this->memberData['name']) && !empty($this->memberData['members_pass_hash'])){
			$admin_url .= "&init_user=".rawurlencode(htmlspecialchars_decode($this->memberData['name']))."&init_password=".$this->memberData['members_pass_hash'];
		}		
		$this->registry->output->html .= $this->html->flashchat_admin_panel($fcsetting, $admin_url );
		$this->registry->output->html_main .= $this->registry->output->global_template->global_frame_wrapper();
		$this->registry->output->sendOutput();			
	}
	
	function get_fc_config(){
		$this->DB->build( array( 'select' => '*',
			'from'   => '123flashchat',
			'where'  => "id=1")
		);
		$this->DB->execute();
		$result = $this->DB->fetch();
		return $result;
	}
}
